Docs
Complete O365 Connect
POST /connections/o365
POST
/connections/o365Finishes connecting a Microsoft 365 mailbox with the values Microsoft returned to the redirect address. The result status is Connected, or AdminConsentRequired with an address for a tenant administrator to approve access. Reconnecting an already connected mailbox refreshes its access instead of adding a second connection.
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| code | string | Optional | |
| state | string | Optional | |
| redirectUri | string | Optional | |
| error | string | Optional | |
| errorDescription | string | Optional |
Response
| Field | Type | Description |
|---|---|---|
| status | string| null | |
| connection | GetConnectionResponse | |
| adminConsentUrl | string| null |
GetConnectionResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| provider | string| null | |
| emailAddress | string| null | |
| status | string| null | |
| connectedAt | date-time | |
| lastSyncedAt | date-time| null |